- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# real_user_data Class Reference

Class handling user data. More...

`#include <OS_user_data.hpp>`

List of all members.

## Public Member Functions
void | print () const
| Dump the fields of the class.
Constructors and destructors
| real_user_data (const int max_size)
| Constructor.
| ~real_user_data ()
| Desctructor.
## Public Attributes
int | max_card_set_zero
| Maximum number of variables that may be set to zero by branching decisions.
int | card_set_zero
| Number of variables set to zero by branching descisions.
int * | set_zero
| Variables that have been set to zero by branching decisions.

## Detailed Description

Class handling user data.

Definition at line 23 of file OS_user_data.hpp.

## Constructor & Destructor Documentation

real_user_data::real_user_data | ( | const int | max_size | ) |

Constructor.

Definition at line 74 of file OS_user_data.cpp.

References card_set_zero, max_card_set_zero, and set_zero.

real_user_data::~real_user_data | ( |  | ) |

Desctructor.

Definition at line 84 of file OS_user_data.cpp.

References set_zero.

## Member Function Documentation

void real_user_data::print | ( |  | ) | const

Dump the fields of the class.

Definition at line 93 of file OS_user_data.cpp.

References card_set_zero, max_card_set_zero, and set_zero.

Referenced by MY_user_data::print().

## Member Data Documentation

int real_user_data::max_card_set_zero

Maximum number of variables that may be set to zero by branching decisions.

Definition at line 33 of file OS_user_data.hpp.

Referenced by print(), and real_user_data().

int real_user_data::card_set_zero

Number of variables set to zero by branching descisions.

Definition at line 36 of file OS_user_data.hpp.

Referenced by print(), real_user_data(), and OS_lp::set_user_data_for_children().

int* real_user_data::set_zero

Variables that have been set to zero by branching decisions.

Definition at line 39 of file OS_user_data.hpp.

Referenced by print(), real_user_data(), and ~real_user_data().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/ApplicationTemplates/branchCutPrice/include/OS_user_data.hpp
- /home/coin/SVN-release/OS-2.3.5/ApplicationTemplates/branchCutPrice/Member/OS_user_data.cpp